Classes | Functions

# textdlg.h File Reference

## Classes
class | wxPasswordEntryDialog
| This class represents a dialog that requests a one-line password string from the user. More...
class | wxTextEntryDialog
| This class represents a dialog that requests a one-line text string from the user. More...
## Functions
wxString | wxGetTextFromUser (const wxString &message, const wxString &caption="Input text", const wxString &default_value=wxEmptyString, wxWindow *parent=NULL, int x=wxDefaultCoord, int y=wxDefaultCoord, bool centre=true)
| Pop up a dialog box with title set to caption, `message`, and a `default_value`.
wxString | wxGetPasswordFromUser (const wxString &message, const wxString &caption="Input text", const wxString &default_value=wxEmptyString, wxWindow *parent=NULL, int x=wxDefaultCoord, int y=wxDefaultCoord, bool centre=true)
| Similar to wxGetTextFromUser() but the text entered in the dialog is not shown on screen but replaced with stars.

|  | [ top ]